<a class="js-open-search"><span class="icon icon-search"></span></a>
<div id="search-screen" class="bg-white fixed-top top-0 left-0  h-12" style="overflow-y: auto;z-index: 1000;width: 100vw;display: none;">
		
<div class="sticky-top">
	<div class="search-logo p-2 pos-absolute">
		<a href="/">
		[import file="/themes/inkyfada/assets/img/logo/inkyfada-{{global.lang}}.svg"/]
		</a>
	</div>
	<a class="search-toggler opposite-0 pos-absolute top-0  p-2" data-close="#search-screen">
		<span class="icon icon-close" style="font-size:1.1rem;"></span>
	</a>
</div>
<div class="d-none load-more-loader">
	<svg width="50" class="" version="1.1" id="inkyfada-loadmore-loader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 30 30">

		<g width="30" height="60">
			<path class="animated" d="M10 10 L10 20 L0 30 L0 10 L10 0 L10 10 L0 10 L10 20 L0 20 L10 10 L5 5" />
		</g>
		<style>
		@keyframes inkyfadaLogoAnimation{
			0% {stroke-dashoffset:0;}
			100% {stroke-dashoffset:248;}
		} 

		#inkyfada-loadmore-loader path {
			fill: none;
			stroke: #333;
			stroke-width: .7px;
			stroke-dasharray: 124px;
			animation: inkyfadaLogoAnimation linear 3s infinite;
		}
		#inkyfada-loadmore-loader circle{
			stroke-width: 2px;
			stroke: rgba(255,255,255,.5);
			transform: rotate(-90deg);
			transform-origin: 40px 40px;
		}
	</style>
</svg>
</div>
<div class="col-md-8 mx-auto sticky-top bg-white pt-4 pb-2" style="margin-top:100px">
	<form id="async-search-form" role="search" method="get" class="" action="{{global.home_url}}">
		<div class="input-group">
			<input id="search-input" type="search" class="ff-sans-serif fw-400 color-black px-0 fs-22px form-control" placeholder="Rechercher" value="" name="s" autocomplete="off">
			
		</div>

		<script>jQuery(document).ready(function(){
			if (jQuery('body').hasClass('rtl')) {
				jQuery('#search-input').attr('placeHolder', 'بحث').css('fontFamily', 'Tajawal');
			}});</script>

		</form>
	</div>
	<div class="mt-5 pb-5 col-md-8 mx-auto" id="async-search-results"></div>
</div>
<style>
.admin-bar #search-screen{
	top: 32px !important;
}
#async-search-form{
	border-bottom: 1px dotted gray;
}
#search-input:focus{
	border:none;
	outline: none;
	box-shadow: none;
}
#search-input{
	border:none;
}
body.preventScroll{
	position: fixed;
	width: 100%;
}
#search-submit{
	cursor: pointer;
	background: none;
	border: none;
}
</style>
<script>
	jQuery(document).ready(function(){
		jQuery('#async-search-form').on('submit', function(e){
			e.preventDefault;
			return false;
		});
		jQuery('#async-search-form [name="s"]').on('keyup',function(){
			var s = this.value;
			$container =  jQuery('#async-search-results');
			if (s.length < 3){
				$container.html('');
				return;
			}
			var query = {
				query:{
					s:s,
					numberposts:-1,
					post_type:'post',
					lang:'{{global.lang}}',
					posts_per_page1:6,
					posts_per_pagenext:6

				},
				view:{
					collection:{
						layout:'grid',
						empty_view:'@theme/block/no-results',
						grid_class:'row-mx-0',

					},
					items:{
						all:{
							view: "@theme/post/card/search",
							item_class:'col-12 px-0 mx-auto mb-4'
						}
					}
				}
			}
			window.searchPosts('/wp-json/inkube/v1/shortcodes/posts/more/?lang={{global.lang}}',query, $container);
		});
		jQuery('[data-close="#search-screen"]').click(function(){
			jQuery('#search-screen').fadeOut(500);
			jQuery('body').removeClass('preventScroll').removeClass('search-open');


		});
		jQuery('.js-open-search').click(function(){
			jQuery('body').addClass('preventScroll').addClass('search-open');
			jQuery('#search-screen').removeClass('d-none').fadeIn(500);
			jQuery('#async-search-form [name="s"]').focus();
		});
	});
	$('body').on('click', '.btn-load-more', function(){
		let loader = $('.load-more-loader').html();
		$(this).addClass('p-0').css({background: 'transparent', 'border':'none'}).html(loader);
	});
</script>
<style>
		.search-logo svg{
			height: 2.7rem;
			display: block;
			width:auto;
		}
</style>